怎么发
用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。
curl -X POST "https://api.silklinedata.com/v1/douyin/experienceSearch" \
-H "Authorization: Bearer $SILKLINE_KEY" \
-H "Content-Type: application/json" \
-d '{"limit":5,"keyword":"美食"}'import os, requests
response = requests.post(
"https://api.silklinedata.com/v1/douyin/experienceSearch",
headers={"Authorization": "Bearer " + os.environ["SILKLINE_KEY"]},
json={
"limit": 5,
"keyword": "美食",
},
)
answer = response.json()
print(answer["data"], answer["meta"]["charged_usd"])const response = await fetch("https://api.silklinedata.com/v1/douyin/experienceSearch", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"limit": 5,
"keyword": "美食"
}),
});
const { data, cursor, meta } = await response.json();
console.log(data, meta.charged_usd);返回什么
这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。
200 OK · 取数日期 2026-11-09
{
"data": [
{
"type": "video",
"awemeId": "7705769868297353138",
"url": "https://www.douyin.com/note/770576986…",
"description": "超全吐司品种的一家店!!!吐司口感好好 …",
"createdAt": "2026-11-08T12:02:38Z",
"durationSeconds": 0,
"likeCount": 1461,
"commentCount": 64,
"shareCount": 288,
"collectCount": 233,
"hashtags": [
"真实生活分享计划",
"这个世界上不能没有甜品",
"吐司"
],
"musicId": "7632757303825418241",
"musicTitle": "Soft Wins Today",
"musicAuthor": "<masked>",
"authorSecUid": "<masked>",
"authorUid": "<masked>",
"authorNickname": "<masked>",
"authorDouyinId": "<masked>",
"authorAvatar": "<masked>",
"authorGender": "<masked>",
"authorBio": "<masked>",
"authorIpLocation": "<masked>",
"authorRegion": "<masked>",
"authorFollowerCount": 17758,
"authorVerified": null,
"coverUrl": "https://p3-sign.douyinpic.com/tos-cn-…",
"videoUrl": "https://sf3-sign.douyinstatic.com/tos…",
"imageUrls": [
"https://p3-sign.douyinpic.com/tos-cn-…",
"https://p3-sign.douyinpic.com/tos-cn-…",
"https://p3-sign.douyinpic.com/tos-cn-…"
]
},
{
"type": "video",
"awemeId": "7704309791104369743",
"url": "https://www.douyin.com/video/77043097…",
"description": "海员休假在家每天都吃啥?#海员生活 #日…",
"createdAt": "2026-11-09T03:30:32Z",
"durationSeconds": 249.3,
"likeCount": 47017,
"commentCount": 1041,
"shareCount": 1270,
"collectCount": 1648,
"hashtags": [
"海员生活",
"日常vlog",
"美食"
],
"musicId": "7704309769603500843",
"musicTitle": "@海***",
"musicAuthor": "<masked>",
"authorSecUid": "<masked>",
"authorUid": "<masked>",
"authorNickname": "<masked>",
"authorDouyinId": "<masked>",
"authorAvatar": "<masked>",
"authorGender": "<masked>",
"authorBio": "<masked>",
"authorIpLocation": "<masked>",
"authorRegion": "<masked>",
"authorFollowerCount": 9484953,
"authorVerified": null,
"coverUrl": "https://p26-sign.douyinpic.com/tos-cn…",
"videoUrl": "https://v3-search.douyinvod.com/306fc…",
"imageUrls": null
}
],
"cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
"meta": {
"request_id": "req_01JD8Q…",
"charged_usd": "0.012557",
"balance_usd": "9.875000",
"items": 2
}
}字段 28
| 字段 | 类型 | 示例值 |
|---|---|---|
| type | string | video |
| awemeId | string | 7705769868297353138 |
| url | string | https://www.douyin.com/note/7705769868297353138 |
| description | string | 超全吐司品种的一家店!!!吐司口感好好 糯糯的!#真实生活分享计划 #这个世界上不能没有甜品 #吐司 #美食测评 #一… |
| createdAt | string | 2026-11-08T12:02:38Z |
| durationSeconds | number | 0 |
| likeCount | number | 1461 |
| commentCount | number | 64 |
| shareCount | number | 288 |
| collectCount | number | 233 |
| hashtags | array | ["真实生活分享计划","这个世界上不能没有甜品","吐司"] |
| musicId | string | 7632757303825418241 |
| musicTitle | string | Soft Wins Today |
| musicAuthor | string | <masked> |
| authorSecUid | string | <masked> |
| authorUid | string | <masked> |
| authorNickname | string | <masked> |
| authorDouyinId | string | <masked> |
| authorAvatar | string | <masked> |
| authorGender | string | <masked> |
| authorBio | string | <masked> |
| authorIpLocation | string | <masked> |
| authorRegion | string | <masked> |
| authorFollowerCount | number | 17758 |
| authorVerified | null | null |
| coverUrl | string | https://p3-sign.douyinpic.com/tos-cn-i-0813c001/o0NDaA5AEHfA… |
| videoUrl | string | https://sf3-sign.douyinstatic.com/tos-cn-ve-2774/o4ItMOBiZCv… |
| imageUrls | array | ["https://p3-sign.douyinpic.com/tos-cn-i-0813c001/o0NDaA5AEH… |
参数 2
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| limit | integer | 否 | 返回的记录条数,1 到 100。一次请求返回的条数不会超过这个数。 | 5 |
| keyword | string | 是 | 搜索关键词。中文关键词效果最好,例如“美食”。 | 美食 |
翻页
把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。
JavaScript
const params = {"keyword":"美食"};
const records = [];
let cursor = null;
do {
const response = await fetch("https://api.silklinedata.com/v1/douyin/experienceSearch", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
});
const answer = await response.json();
records.push(...answer.data);
cursor = answer.cursor;
} while (cursor);
console.log(records.length);一次请求花多少
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。
这个接口一页最多 8 条,每页最低收费 $0.012557;要 100 条的请求会取 13 页。
- 1 条:最多 $0.012557
- 20 条:最多 $0.081
- 100 条:最多 $0.405
返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。
常见问题
「经验搜索」要传哪些参数?
必填:keyword。另外都可以传 limit(1 到 100)。
一次请求最多返回多少条?
每次请求最多 100 条(limit 1 到 100)。每页最多 8 条,要 100 条时一次请求取 13 页。
能接着往后取吗?
能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。
怎么收费?
每条 记录 $0.00405。每页最低收费 $0.012557:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.405。
请求失败或者没有结果时怎么收费?
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。